#version 330
#extension GL_ARB_separate_shader_objects : enable





layout(location = 0) smooth in vec2 _fin_fragTexCoord;

struct SFragmentInput
{
	vec2 fragTexCoord;
	bool IsFrontFace;
};

layout(location = 0) out vec4 _fout_outColor;

struct SFragmentOutput
{
	vec4 outColor;
};

 uniform sampler2D LightAccuTex;
 uniform sampler2D GBuffer0Tex;
 uniform sampler2D GBuffer1Tex;
 uniform sampler2D GBuffer2Tex;



void FragmentMain( in SFragmentInput  fInput,  out SFragmentOutput  fOutput  )
{
	vec4 lightAccu =  texture(LightAccuTex, fInput.fragTexCoord) ;
	vec4 emissive =  texture(GBuffer2Tex, fInput.fragTexCoord) ;

	vec3 finalColor = lightAccu.rgb + emissive.rgb;
	fOutput.outColor = vec4(finalColor, 1.0f);
}


void main()
{
	SFragmentInput fInput;
	SFragmentOutput fOutput;

	fInput.fragTexCoord = _fin_fragTexCoord;
	fInput.IsFrontFace = gl_FrontFacing;
	FragmentMain(fInput, fOutput);
	_fout_outColor = fOutput.outColor;
}
